package cz.muni.fi.lasaris.sbms.model;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class Fields {

	public static final List<String> GROUPINGS = Collections.unmodifiableList(Arrays.asList(new String[]{
	Fields.DEFAULT_GROUPING,
	"scope.type",
	"scope.room",
	"scope.floor",
	"scope.building",
	"scope.site",
	"source.type",
	"source.room",
	"source.floor",
	"source.building",
	"source.site",
	"datapoint.type"
	}));
	public static final String DEFAULT_GROUPING = "noGrouping";
	public static final List<String> FILTER_FIELDS = Collections.unmodifiableList(Arrays.asList(new String[]{
			"bmsId",
			"type",
			"source.bimId",
			"source.type",
			"source.location",
			"scope.bimId",
			"scope.type",
			"scope.location",
			"sensing.type",
			"sensing.window",
			"property.domain",
			"property.quality",
			"influenced.scope.bimId",
			"influenced.property.quality",
			"influenced.property.domain"
	}));
	public static final List<String> DATA_FIELDS = Collections.unmodifiableList(Arrays.asList(new String[]{
			"bmsId",
			"type",
			"source.bimId",
			"source.type",
			"source.location",
			"scope.bimId",
			"scope.type",
			"scope.location",
			"sensing.type",
			"sensing.window",
			"property.domain",
			"property.quality"
	}));
	public static final List<String> INSERT_FIELDS = Collections.unmodifiableList(Arrays.asList(new String[]{
			"bmsId",
			"type",
			"source.bimId",
			"scope.bimId",
			"sensing.type",
			"sensing.window",
			"property.domain",
			"property.quality"
	}));

}
